# Makefile for bitfile routines

CC = gcc
CFLAGS = -c -g -Wall
LDFLAGS = 
OBJECTS = bitinfo.o bitfile.o


all: bitinfo

bitinfo.o: bitinfo.c bitfile.h
	${CC} ${CFLAGS} bitinfo.c -o bitinfo.o

bitfile.o: bitfile.c bitfile.h
	${CC} ${CFLAGS} bitfile.c -o bitfile.o

bitinfo: bitinfo.o bitfile.o
	${CC} ${LDFLAGS} ${OBJECTS} -o bitinfo

clean:
	rm -f ${OBJECTS} bitinfo
